public class OddEven {
    public int odds, evens;
    public OddEven(int odds, int evens){
        this.odds = odds;
        this.evens = evens;
    }

    @Override
    public boolean equals(Object o){
        OddEven oddEven = (OddEven) o;
        return (oddEven.evens == evens || oddEven.odds == odds);
    }
}
